#
# spec file for package python-unify
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-unify
Version:        0.4
Release:        lp151.1.1
Summary:        Tool to modify strings to use the same quotes
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/myint/unify
Source:         https://files.pythonhosted.org/packages/source/u/unify/unify-%{version}.tar.gz
Source9:        README.suse
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module untokenize}
# /SECTION
Requires:       python-untokenize
BuildArch:      noarch

%python_subpackages

%description
Modifies strings to all use the same (single/double) quote where possible.

Note that the "unify" executable has been renamed to "unify_quotes" to
avoid conflicts with the wdiff package.

%prep
%setup -q -n unify-%{version}
sed -i -e '/^#!\//, 1d' unify.py
cp %{SOURCE9} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
mv %{buildroot}%{_bindir}/unify %{buildroot}%{_bindir}/unify_quotes

%files %{python_files}
%doc README.rst README.suse
%python3_only %{_bindir}/unify_quotes
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Jun 10 2018 jengelh@inai.de
- Use noun phrase in summary.
* Sat Jun  9 2018 toddrme2178@gmail.com
- Include README.suse in package
* Sat Jun  9 2018 toddrme2178@gmail.com
- Fix conflicts with wdiff.
  The "unify" executable has been renamed to "unify_quotes"
* Thu May 24 2018 toddrme2178@gmail.com
- Update 0.4
  * Add bytes support python3
  * add support for python >= 3.6 fstrings
  * Return 1 upon missing file
- spec file cleanups
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
